Skip to main content
POST
/
tokenization
/
templates
/
{contractTemplateId}
/
deploy
TypeScript
const response: Promise<FireblocksResponse<ContractDeployResponse>> = fireblocks.contractTemplates.deployContract(contractTemplatesApiDeployContractRequest);
{
  "txId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

contractTemplateId
string
required

The Contract Template identifier

Body

application/json
assetId
string
required

The base asset identifier of the blockchain you want to deploy to

Example:

"ETH_TEST5"

vaultAccountId
string
required

The vault account id you wish to deploy from

Example:

"0"

constructorParameters
object[]

The constructor parameters of this contract

Example:
[
{
"internalType": "string",
"name": "name_",
"type": "string",
"value": "TokenName"
},
{
"internalType": "string",
"name": "symbol_",
"type": "string",
"value": "TokenSymbol"
}
]
useGasless
boolean

Indicates whether the token should be created in a gasless manner, utilizing the ERC-2771 standard. When set to true, the transaction will be relayed by a designated relayer. The workspace must be configured to use Fireblocks gasless relay.

Example:

false

fee
string

Max fee amount for the write function transaction. interchangeable with the 'feeLevel' field

Example:

"2000"

feeLevel
enum<string>

Fee level for the write function transaction. interchangeable with the 'fee' field

Available options:
LOW,
MEDIUM,
HIGH
Example:

"MEDIUM"

Response

Contract was deployed successfully

txId
string
required

The transaction id of the deployment request

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"